unit FMXTee.Editor.Series.WorldMap;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMXTee.Chart.ListBox,
  FMX.TabControl, FMXTee.Series.Map, FMX.Edit, FMX.ListBox, FMX.Colors,
  FMXTee.Procs, FMX.Layouts, FMXTee.Editor.Series.Map, FMXTee.Series.World;

type
  TWorldSeriesEditor = class(TMapSeriesEditor)
    CBMap: TComboEdit;
    Label1: TLabel;
    procedure CBMapChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$R *.fmx}

procedure TWorldSeriesEditor.CBMapChange(Sender: TObject);
begin
  TWorldSeries(Map).Map:=TWorldMap(CBMap.ItemIndex);
end;

procedure TWorldSeriesEditor.FormActivate(Sender: TObject);
begin
  if not Assigned(Map) then
  begin
    inherited;

    if Assigned(Map) then
     CBMap.ItemIndex:=Ord(TWorldSeries(Map).Map);
  end;
end;

initialization
  RegisterSeriesEditor(TWorldSeriesEditor);
end.
